#
# spec file for package kdemultimedia (Version 2.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel audiofile autoconf automake cdparanoia docbook-dsssl-stylesheets docbook_3 fam freetype2 gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libao libao-devel libgpp libjpeg liblcms libmng libmng-devel libogg libogg-devel libpng libtiff libvorbis libvorbis-devel libxml2 libz mesa mesa-devel mesasoft mpg123 qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel xpm
# usedforbuild    aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip cdparanoia compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libao libao-devel libgpp libjpeg liblcms libmng libmng-devel libogg libogg-devel libpng libtiff libtool libvorbis libvorbis-devel libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils mpg123 ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kdemultimedia
Obsoletes:    kmulti2
Provides:     kmulti2
Copyright:    GPL
Group:        X11/KDE/Multimedia
Summary:      KDE 2 multimedia programs
Version:      2.2.1
Release:      84
BuildRoot:    /var/tmp/%{name}-buildroot
Source0:      %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}.dif

%description
This package contains some multimedia programs for KDE 2.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%package devel
Version:      2.2.1
Release:      84
Requires:       kdemultimedia kdelibs-devel
Summary:      build enviroment from kdemultimedia
Group:          X11/KDE/Development
 

%description devel
Build enviroment from kdemultimedia.
This package is needed to compile some KDE 2 applications.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%prep
%setup
%patch

%build
export OPT_LEVEL="-O2"
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -lt 604 ]; then
  export DO_NOT_COMPILE="kmidi "
fi
AUDIO="oss,alsa"
%ifarch s390
   FLAGS="$FLAGS --without-alsa --without-ssl "
   AUDIO="oss"
%endif
%ifarch ppc
if [ "$VERSION" -lt 701 ]; then
   FLAGS="$FLAGS --without-alsa --without-ssl "
   AUDIO="oss"
fi
%endif
make -f Makefile.cvs
export CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -I/opt/kde2/include -L/opt/kde2/lib -DNDEBUG -fpermissive $OPT_LEVEL "
./configure $FLAGS \
  --enable-audio=$AUDIO \
  --prefix=/opt/kde2 \
  --enable-sdl \
  --disable-debug \
  --with-qt-dir=/usr/lib/qt2/
%ifarch i386
  #
  # build xmm (SSE) first
  # glibc 2.2.3 or higher is needed
  #
  sed -e 's@#define INTEL.*@#undef INTEL@' config.h > config.h.non_xmm
  sed -e 's@.*#undef INTEL.*@#define INTEL 1@' config.h.non_xmm > config.h
%endif
  
make 

%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT  install-strip
%ifarch i386
  #
  # move libs one level deeper to .../xmm/
  #
  LIB="${RPM_BUILD_ROOT}/opt/kde2/lib"
  mkdir -p "${LIB}/xmm"
  for i in ${LIB}/libmpeg.so ${LIB}/libmpeg.so.? ${LIB}/libmpeg.so.?.?.? \
           ${LIB}/libyaf*.so ${LIB}/libyaf*.so.? ${LIB}/libyaf*.so.?.?.? \
           ; do
       mv "$i" "${LIB}/xmm/"
  done
  #
  # build and install non-xmm libs
  #
  mv config.h.non_xmm config.h
  cd mpeglib
  make clean
  make 
  make DESTDIR=$RPM_BUILD_ROOT install-strip
%endif

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%doc AUTHORS COPYING ChangeLog INSTALL README README.sound-config 
/opt/kde2/share/applnk/Multimedia
/opt/kde2/share/applnk/Settings
/opt/kde2/share/apps/*
/opt/kde2/share/mimelnk/*
/opt/kde2/share/services/*
/opt/kde2/share/doc/HTML/en/*
/opt/kde2/share/icons/*/??x??/*/*
/opt/kde2/share/servicetypes/audiomidi.desktop
/opt/kde2/bin/*
/opt/kde2/lib/lib*
/opt/kde2/lib/kmixctrl.*
/opt/kde2/lib/noatun.*
/opt/kde2/lib/*.mcopclass
/opt/kde2/lib/*.mcoptype
/opt/kde2/lib/mcop/*.mcopclass
/opt/kde2/lib/mcop/*.mcoptype
/opt/kde2/lib/mcop/Arts/*
/opt/kde2/lib/mcop/Noatun
%config(noreplace) /opt/kde2/share/config/*
%ifarch i386
/opt/kde2/lib/xmm/*
%endif

%files devel
/opt/kde2/include/*

%changelog -n kdemultimedia
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
* Wed Aug 01 2001 - adrian@suse.de
- 2.2pre1
* Mon Jul 16 2001 - adrian@suse.de
- add SSE optimized libs
* Fri Jun 29 2001 - adrian@suse.de
- update 2.2beta1
* Mon Apr 16 2001 - adrian@suse.de
- update 2.2alpha1
* Sun Apr 08 2001 - adrian@suse.de
- build additional libs with mmx support for i386
- add ogg vorbis support for SuSE 7.2
- add cdparanoia support
- disable alsa support for 7.0-ppc
* Fri Apr 06 2001 - adrian@suse.de
- go to current KDE_2_1_BRANCH again
  this should fix the last kcsd problems
-O2 for axp
* Fri Mar 30 2001 - adrian@suse.de
- go to current KDE_2_1_BRACNH
  this should fix kscd/freedb problems
  (thanks to Dirk Frsterling)
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- update to final 2.1.1
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Mon Mar 05 2001 - adrian@suse.de
- drop again --with-alsa :-(
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Sat Feb 17 2001 - adrian@suse.de
- update to 2.1 post beta 2
  enable kmidi for testing
* Fri Jan 19 2001 - adrian@suse.de
- disable kmidi
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
  drop --with-alsa in configure call
* Mon Dec 18 2000 - adrian@suse.de
- fix icon file list
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Thu Nov 30 2000 - adrian@suse.de
- update to 2.0.1
* Wed Nov 22 2000 - adrian@suse.de
- compile fix (--enable-final breaks kmidi)
* Tue Nov 21 2000 - adrian@suse.de
- fixed kmid build
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Fri Nov 03 2000 - adrian@suse.de
- fixed #neededforbuild
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Fri Aug 04 2000 - kukuk@suse.de
- Fixes for SPARC
* Mon Jul 24 2000 - adrian@suse.de
- update to second try of beta 3
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Tue Jul 18 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Mon Jul 10 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@suse.de
- version 1.91; beta 2
